%define upstream_name    Dumbbench
%define upstream_version 0.111

# SOOT support is optional
%bcond_with perl_Dumbbench_enables_SOOT

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Benchmarks a string of Perl code
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Carp)
BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(Devel::CheckOS)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Number::WithError)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Statistics::CaseResampling)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(parent)
BuildArch: noarch

%description
This module attempts to implement reasonably robust benchmarking with
little extra effort and expertise required from the user. That is to say,
benchmarking using this module is likely an improvement over

  time some-command --to --benchmark

or

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL.SKIP LICENSE META.json META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/*
%if %{with perl_Dumbbench_enables_SOOT}
%else
%exclude %{perl_vendorlib}/Dumbbench/BoxPlot.pm
%endif




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.111.0-4.mga8
+ Revision: 1504382
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.111.0-3.mga7
+ Revision: 1283607
- Mageia 7 Mass Rebuild

* Thu Jul 12 2018 tv <tv> 0.111.0-2.mga7
+ Revision: 1243289
- perl(SOOT) is not mandatory

* Thu Jul 12 2018 tv <tv> 0.111.0-1.mga7
+ Revision: 1243238
- imported package perl-Dumbbench


* Thu Jul 12 2018 Thierry Vignaud <tv@mageia.org> 0.111.0-1.mga7
- initial mageia release, generated with cpan2dist
